delimiter $$
CREATE PROCEDURE transaction_unit(ship_qty INTEGER)
BEGIN
DECLARE p_qty_var INTEGER;
START TRANSACTION;
SELECT p_qty INTO p_qty_var FROM p_inventory WHERE p_code = 1;
UPDATE p_inventory SET p_qty = (p_qty - ship_qty) WHERE p_code = 1;
IF (p_qty_var - ship_qty) < 0 THEN
 ROLLBACK;
 ELSE
UPDATE c_order SET ship_flag = 'Y' WHERE c_no = 10 AND p_code = 1;
COMMIT;
 END IF;
END;
